Subject: Re: bug#11438: make installcheck

From: Jeff Janes <[email-masked]>
Date: Tue, 8 May 2012 14:59:17 -0700

On Tue, May 8, 2012 at 12:46 PM, Jim Meyering <[email-masked]> wrote:
> Jeff Janes wrote:
>> Section 5 of the "INSTALL" file for coreutils says that "make
>> installcheck" will repeat the self-checks, but using the binaries in
>> their final installed locations.
>>
>> I cannot figure out what "make installcheck" is doing, but surely it
>> is not doing that.  It doesn't seem to even visit the final installed
>> location of the binaries at all.
>>
>> I tried this against versions 8.16 (tarball), 8.14 (tarball), and the
>> git HEAD, on both openSUSE 12.1 and on Cygwin.
>>
>> I do all the work as non-root, and for ./configure, I always specified
>> a --prefix that specifies a not-currently-existent directory name
>> within my home directory (and no other options)
>
> Thanks for the report.
>
> However, "make installcheck" is a no-op for most packages.  Besides,
> it would not be useful to coreutils, unless you use a non-default
> configuration that would install su, which is normally set-UID (su
> is not normally installed).  In other words, "make check" is just fine,
> since none of these programs act differently depending on whether they
> are installed or in the build directory.

OK, thanks for the explanation.  I thought that if a package did not
implement an option it would give me a "No rule to make target"
message, rather than being a no-op.  But I guess that that would
complicate "make distcheck".

Cheers,

Jeff